import com.imsl.chart.*;
import java.awt.Color;
import com.imsl.stat.Random;

public class SampleErrorBar extends JFrameChart {

    public SampleErrorBar() {
        Random r = new Random(123457);
        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        
        // Generate a random data set, with random errors
        int n = 20;
        double x[] = new double[n];
        double y[] = new double[n];
        double low[] = new double[n];
        double high[] = new double[n];
        for (int k = 0;  k < n;  k++) {
            x[k] = k + 1;
            y[k] = r.nextDouble();
            low[k] = y[k] - 0.25*r.nextDouble();
            high[k] = y[k] + 0.25*r.nextDouble();
        }
        
        ErrorBar data = new ErrorBar(axis, x, y, low, high);
        data.setDataType(data.DATA_TYPE_ERROR_Y | data.DATA_TYPE_MARKER);
        data.setMarkerType(Data.MARKER_TYPE_FILLED_CIRCLE);
        data.setMarkerColor(Color.red);
    }
    
    public static void main(String argv[]) {
        new SampleErrorBar().setVisible(true);
    }
}